void startWeb() {
   if(once1 == 0){
     once1 = 1;
  mainDisplay.clearDisplay();
  mainDisplay.setTextSize(1);
  mainDisplay.setTextColor(WHITE);
  mainDisplay.setCursor(5,10);
  mainDisplay.println("WiFi AP 192.168.4.1");
  mainDisplay.setCursor(25,20);
  mainDisplay.println("SSID: MIDI-EDIT");
  mainDisplay.setCursor(25,30);
  mainDisplay.println("PW:12345678");
  mainDisplay.setCursor(72,55);
  mainDisplay.println("STOP ->");
  mainDisplay.display();

  WiFi.softAP("MIDI-EDIT", "12345678");   
  server.on("/", []() { server.send(200, "text/html", generatePage()); });
  server.on("/save", HTTP_POST, handleSave);
  server.on("/save_nvs", HTTP_POST, handleSaveNVS);
  server.on("/restore", HTTP_POST, handleRestore);
  server.begin();
 
}
server.handleClient();
 if (digitalRead(setbright) == 0){
    delay(300); 
     stopWeb();
     return;
       }
startWeb();
}